<?php
namespace Incoviba\Command\Ventas\Cuotas;

use Symfony\Component\Console;
use Incoviba\Common\Alias\Command;

#[Console\Attribute\AsCommand(
    name: 'ventas:cuotas:pendientes',
    description: 'Obtiene las cuotas pendientes de pago'
)]
class Pendientes extends Command
{
    public function execute(Console\Input\InputInterface $input, Console\Output\OutputInterface $output)
    {
        $this->logger->debug("Running {$this->getName()}");
        $uri = '/api/ventas/cuotas/pendiente';
        $output->writeln("GET {$uri}");
        $response = $this->client->get($uri);
        $output->writeln("Response Code: {$response->getStatusCode()}");
        return Console\Command\Command::SUCCESS;
    }
}
